Released: 2023-01-13
POST v2/recipe-deployments//sync returns the HTML status code 500 when timeouts occur.GET to return data sample ID instead of its contents.credentials array on the PATCH call. It will override the existing credentials array instead of merging it with existing values.flow_templates array on the PATCH call. It will override the existing flow_templates array instead of merging it with existing values.1.1.0 (v23.02)Webhook Trigger1.1.0 (v23.02)stringify to qs.stringify to properly encode JSON data into application/x-www-form-urlencoded as required by the Stripe.1.3.0 (v23.02)Return full object in Get New and Updated Objects Polling TriggerGet New and Updated Objects Polling Trigger2.2.0 (v23.02)Delete Object/Record ActionSailor library version to 2.7.1maester-client version to 5.0.11.0.0 (v23.02)Webhook Trigger1.0.0 (v23.02)Produce ActionConsume Trigger1.2.4 (v23.02)Released: 2023-01-26
We previously introduced the ability to add new credentials for a deployed recipe via an embedded page in a 3rd-party site or app. Today we introduce the ability to create an embedded page for editing credentials for a single recipe deployment. For this purpose we have created a new API endpoint GET /v2/recipe-deployments/:recipe_deployment_id. This endpoint requires same permissions and scopes as in /v2/recipe/:recipe_id?include=recipe-deployments.
Please visit API Docs for more details on this API endpoint.
For more informaition on Embedded recipe deployment please read this article.
We are introdusing POST /v2/flows/export-to-recipe API Call. With this call you can:
This new, more powerful endpoint, replaces the old one - POST /v2/flows/${flowId}/export-to-recipe. Please visit API Docs for more details.
Before, the Flow Queues page displays the components inverted according to the flow graph (e.g if graph contain fork or content-based router) and don’t display the step name, only the number.
Now we render step name on Flow Queues page (like on Flow Designer) and render flow graph at Flow Queues, Runlog Execution, Thread pages in the same way as at Flow Designer page.
As part of our work to make the platform more robust and tolerant of high loads, we have decreased the maximum frequency of scheduling a flow to start. This default setting ensures that flows will be started more precisely. Even if the flow schedule is defined in the settings page as running every 3 minutes, these flows will now run only every 10 minutes.
Customers wishing to trigger flows more frequently must change the flow to run in Real-time mode.
v2/logsFIXED bug, where the flow-queues page would not load directly after a draft-version of a previously published flow was published.
FIXED when the Credentials and Recipe page would not load in cases where the user did not have permission to access auth secrets. Now, the UI shows a message with an error.
2.0.0 (v23.04)Make Raw Request Action1.1.1 (v23.04)Receive Messages Long Polling trigger to SQS server timeout by default1.0.0 (v23.04)Raw Request ActionReleased: 2023-02-09
As a continuation of the updates introduced in Release 23.04, we have added new features related to recipes:
Please Note: that all Recipe functionality is released as PREVIEW to all Users. In the coming 2 months we will restrict Recipe functions to Users with Tenant-level access. Users with Enterprise subscription access will be able to access Recipe functions as an upgrade to their subscriptions.
If you would like more details or an offer, please contact sales@elastic.io
ability to select multiple flows to export to recipe
update an existing Recipe
All the changes start from the Flows page. First you have to start with exporting a flow to a recipe:
Then you can select multiple flows to export and then click the corresponding button:
In the new recipe window you can configure your recipe. You can name your recipe (1) and give it a description (2) - this field supports Markdown. You can also give a description to credentials - this is especially important if you are embedding the credentials step into a 3rd party site! - (3) and set up visibility (4). After finishing configuration click on Save:
You can also update an existing recipe. In the Save as drop-down please select the option Update existing recipe Find a recipe you want to update in the drop-down list and select it:
Please Note: During the configuration process, you will need to specify credentials for all components in the recipe where they are required:
In connection with the latest updates to the recipes feature, we have updated and supplemented our articles on the topic of recipes. You can:
We improved the behavior of v2/recipes/:recipe_id/activate endpoint.
You no longer need to start flows after activating a recipe - created flows are starting automatically.
FIXED bug, where fake container error The container could not be located when the pod was deleted. The container used to be Running appears in Runlog.
FIXED bug with recipe activation URL. We set back the recipe URL to {base_url}/recipes/{recipe_id}.
FIXED bug when quota throw an error when copying multiple flows concurrently.
1.2.0 (v23.06)Upsert Object ActionSailor library version to 2.7.12.5.1 (v23.06)431 and 414 errors in Get Updated Objects Polling triggerSelected Fieldsin Get Updated Objects Polling triggerReleased: 2023-02-27
As a continuation of the updates introduced in Release 23.06, we have added new features in recipe management. This feature allows Tenant Admins to control which users are allowed to create/edit Recipes (by default, all users can use the recipes feature). You can set it up with a new permission tenants.contract.edit_feature_flags - allow to set the feature flags for Contract.
In this regard, POST and PATCH v2/contracts endpoins were changed - added an ability to set the feature flags for Contract.
Please Note: this permission belongs to tenant admins by default.
Here you can see an example of a request body:
{
"data": {
"type": "contract",
"attributes": {
"name": "Contract name",
"available_roles": [
{
"scope": "contracts",
"role": "admin"
}
],
"flow_stats_enabled_default": true,
"support_user_id": "5b4f337bff4304610483ba67",
"custom_data": {
"description": "Contract description"
},
"feature_flags": {
"disable_recipe_feature": true
}
}
}
}
Please Note: “disable_recipe_feature” set to “false” be default.
RESTAPIView with the application/x-ndjson (v23.08)We transformed “Content type” dropdown on the “Body” tab of the REST API v2 component to a text field with a dropdown of a hints:
We now refresh auth-secret tokens closer to the token expiry. This change to 30 seconds before expiry (it used to be 60 seconds) is because various external APIs do not allow refreshes 1 minute before expiry (as example, ExactOnline) don’t allow to refresh secret very early.
We continue to work towards the recipes feature. In this release we have changed the text in context menu and modals for managing recipe’s deployments in the next way:
We constantly improve different aspects of HELM3 deployments in collaboration with our partners. This section lists updates and improvements included in this release.
We are introducing a new HELM enviroment variable RECIPES_FEATURE_DISABLED - it controls whether users are allowed to create/edit Recipes. Set to “false” by default.
FIXED bug, where by changing contract the large, serif text is visible at top let of screen if your internet connection is slow.
FIXED bug, where jQuery on the login page was missing
FIXED bug with caching of Plytix component page.
FIXED bug with Infobip custom JAVA component. The sailor-jvm 4.0.0 is published.
Backward incompatible changes. Replaced
javax.jsonwithorg.glassfish:jakarta.json:1.1.6
1.2.10 (v23.08)1.2.1 (v23.08)Upsert Object Action2.1.0 (v23.08)Get New and Updated Objects Polling TriggerExecute mutation ActionLookup Object By ID ActionLookup Objects (plural) Action1.0.0 (v23.08)Make Raw Request ActionReleased: 2023-03-09
Changes to the cron scheduling of a flow are now saved automatically instead of requiring Users to hit ‘Save’.
The Implement screen displays the flow definition. This screen is now updated to our new style and will be more responsive.
We enable option alwaysFakeOptionals and disable fillProperties in json-schema-faker library, which is used by the Generate Stub Sample button on UI
Please note that clients utilising outdated components may still experience sporadic issues. These issues will be resolved by updating to the most recent versions of the connector.
2.2.0 (v23.10)Return Full Response checkbox for Get New and Updated Objects Polling Trigger and Lookup Objects (plural) ActionThere can be only one argument named "after" in Get New and Updated Objects Polling trigger1.1.2 (v23.10)High load performance information sectionReleased: 2023-03-23
Recipes can now contain the declarations.topics property with a list of pub-sub topic declarations. Users can define topic id in the same way as for credentials in the flow template. On activaton of a recipe which contains topic(s) - we create the required topic(s) in the corresponding workspace.
You can find more information about this new feature on the API documentation page
We have migrated the Settings section of the Flow Designer page to React. In addition, the platform saves any setting changes once you click outside the focus area. Alternatively, you can still hit ‘Save’ at top right.
Special release procedure:
redis-cluster helm chart. It has updated default config which fixes the problem.FIXED bug, where word searches with CamelCase and Uppercase did not work on the logs page. Search functionality on the logs page is now case insensitive - you can enter text in upper-case (A), lower-case (a) or mixed (AarDVarK).
FIXED bug with irrelevant search results if the user starts searching immediately after the Flows page loads.
FIXED bug, where the queue reader sometimes misses changes in the state of thread queues.
1.5.0 (v23.12)Selective Get New And Updated Objects Polling TriggerSailor library version to 2.7.12.0.2 (v23.12)key $schema must not start with '$' error that appeared after creating a recipe from a flowSailor library version to 2.7.11.1.0 (v23.12)Linking or Unlinking objects ActionLookup Objects (plural) ActionDelete Object ActionLookup Object (at most one) ActionUpsert Object ActionGet New and Updated Objects Polling Trigger1.0.0 (v23.12)Make Raw Request Action1.3.7 (v23.12) Lookup Objects Plural action